VST 3 Examples: VoiceStatics Class Reference
Author: Steinberg

VST 3 Examples VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
VoiceStatics Class Reference

`#include <note_expression_synth_voice.h>`

## Public Types
enum | { kNumFrequencies = 128 }

## Static Public Member Functions
static double | normalizedLevel2Gain (float normalized)

## Static Public Attributes
static float | freqTab [kNumFrequencies]
static const float | scaleHeadRoom
static const float | scaleNorm2GainC1
static const float | scaleNorm2GainC2
static LogScale< ParamValue > | freqLogScale
static const double | kNormTuningOneOctave = 12.0 / 240.0
static const double | kNormTuningOneTune = 1.0 / 240.0

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kNumFrequencies |

## Member Function Documentation

## ◆ normalizedLevel2Gain()

static double normalizedLevel2Gain | ( | float | normalized | ) |
| inlinestatic

## Member Data Documentation

## ◆ freqTab

float freqTab
| static

## ◆ scaleHeadRoom

const float scaleHeadRoom
| static

Initial value:
=
(float)(pow (10.0, -12.0 / 20.0) * 0.70710677)

## ◆ scaleNorm2GainC1

const float scaleNorm2GainC1
| static

Initial value:
=
(float)(VoiceStatics::scaleHeadRoom * pow (10.0, 24.0 / 20.0))
Steinberg::Vst::NoteExpressionSynth::VoiceStatics::scaleHeadRoom
static const float scaleHeadRoom
Definition note_expression_synth_voice.h:114

## ◆ scaleNorm2GainC2

const float scaleNorm2GainC2
| static

Initial value:
=
(float)(24.0 / 20.0 / 0.30102999566398119521373889472449)

## ◆ freqLogScale

LogScale< ParamValue > freqLogScale
| static

## ◆ kNormTuningOneOctave

const double kNormTuningOneOctave = 12.0 / 240.0
| static

## ◆ kNormTuningOneTune

const double kNormTuningOneTune = 1.0 / 240.0
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.